datacache <- new.env(hash=TRUE, parent=emptyenv())

hwgcod <- function() showQCData("hwgcod", datacache)
hwgcod_dbconn <- function() dbconn(datacache)
hwgcod_dbfile <- function() dbfile(datacache)
hwgcod_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hwgcod_dbInfo <- function() dbInfo(datacache)

hwgcodORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hwgcod.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hwgcod", "chip hwgcod", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hwgcod_dbconn())
}

